#!/bin/bash

if [ -z "$JAVACMD" ] ; then
   if [ -n "$JAVA_HOME" ] ; then
      JAVACMD="$JAVA_HOME/bin/java"
   else
      JAVACMD="`which java`"
   fi
 fi
 
if [ ! -x "$JAVACMD" ] ; then
 echo "Error: JAVA_HOME is not defined correctly; cannot execute: $JAVACMD"
 exit 1
fi

FILENAME=$1
shift

java -Xmx8g -javaagent:lib/jborat-agent.jar \
 -server -XX:+TieredCompilation -XX:+AggressiveOpts \
 -Dch.usi.dag.jborat.exclusionList="conf/exclusion.lst" \
  -Dch.usi.dag.jborat.liblist="conf/lib.lst" \
   -Dch.usi.dag.jp2.outputFilePrefix="$FILENAME $*" \
    -Dch.usi.dag.jborat.instrumentation="ch.usi.dag.jp2.instrument.AddInstrumentation" \
     -Dch.usi.dag.jborat.codemergerList="conf/codemerger.lst" \
      -Dch.usi.dag.jborat.uninstrumented="$FILENAME $*_uninstrumented"  \
      -Dch.usi.dag.jborat.instrumented="$FILENAME $*_instrumented" \
       -Xbootclasspath/p:./lib/Thread_JP2.jar:lib/jborat-runtime.jar:lib/jp2-runtime.jar \
       -jar $JYTHON_HOME/jython.jar $FILENAME.py $*

